{
	"name": "form/nc/erp-sync/lantek/nx-column/production_order.json",
	"name": "form/nc/erp-sync/lantek/column/production_order.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"link_field": "pro.production_order_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "pro.json_data.transfer_id",
			"name": "Nesting id",
			"width": 150,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pro.company_id",
			"name": "Customer / custmark",
			"width": 160
		},
		{
			"field": "pro.sales_order_id",
			"name": "Sales order / orderposid",
			"width": 170
		},
		{
			"field": "pro.json_data.nxorderposid_s",
			"name": "Sales order / orderposid_s",
			"width": 190,
			"organization_id": { "": { "load": false } }
		},
		{
			"field": "pro.production_order_id",
			"name": "Prod. ord. / matid",
			"width": 160,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pro.modify_id",
			"name": "Modified",
			"width": 350,
			"organization_id": { "lantek": { "load": false, "field-": "pro.modify_time" } }
		}
	],
	"column-": [
		{
			"field": "pro.json_data.material_id",
			"name": "Prod. ord. / matid_s",
			"width": 160,
			"organization_id": { "": { "load": false } }
		},
		{
			"field": "pro.json_data.project_id",
			"name": "Sheetpath id",
			"width": 160,
			"organization_id": { "": { "load": false } }
		},
		{
			"field": "pro.json_data.nxsheetpathid_s",
			"name": "Sheetpath id_s",
			"width": 160,
			"organization_id": { "": { "load": false } }
		}
	]
}
